Subject: Re: bug#50774: guix-install.sh outputs invalid utf-8 characters

From: Maxime Devos <[email-masked]>
Date: Fri, 24 Sep 2021 14:51:11 +0200

Dhruvin Gandhi schreef op vr 24-09-2021 om 12:21 [+0000]:
> September 24, 2021 10:01 AM, "Maxime Devos" <[email-masked]> wrote:
> 
> > Dhruvin Gandhi via Bug reports for GNU Guix schreef op vr 24-09-2021 om 09:21 [+0000]:
> > 
> > > I've recently submitted a patch to builds.sr.ht to support guix build
> > > image. While installing guix binary on foreign distro via
> > > guix-install.sh, it appears that the installer outputs invalid utf-8
> > > characters[1].
> > > 
> > > References:
> > > 
> > > [1] https://lists.sr.ht/~sircmpwn/sr.ht-dev/patches/25167#<CEH30J59XCDH.3NMOSL8GGLIRF@taiga>
> > 
> > Where is the invalid UTF-8? Perhaps the ? in
> > 
> > (guix-install log)
> > ...
> > gpg: key 090B11993D9AEBB5: public key "Ludovic Court?s <[email-masked]>" imported
> > ...
> > 
> > ?
> > 
> > Greetings,
> > Maxime.
> 
> Hello Maxime,
> 
> I ran a build job on builds.sr.ht [1]. Build logs can be found
> in artifacts section of the build job [1], i.e. here [2]. I ran
> grep -axv '.*' <log.txt> to see which lines are offending and I
> only found the one you mentioned above.

This seems like a locale issue:

$ env --ignore-environment LC_ALL=en_US.UTF-8 ~/.guix-profile/bin/gpg --dry-run --list-keys Ludovic
> [...]
> uid           [ expired] Ludovic Courtès <[email-masked]>
> [...]

$ env --ignore-environment ~/.guix-profile/bin/gpg --dry-run --list-keys Ludovic
> [...]
> uid           [ expired] Ludovic Court�s <[email-masked]>
> [...]

Did you set LC_ALL to an UTF-8 locale before running guix-install.sh?
If not, the default ANSI_X3.4-1968 encoding is used, which doesn't support the letter è.

Greetings,
Maxime.